%undefine __cmake_in_source_build
%global base_name kdesdk-kio
Name:    kdesdk-kioslaves
Summary: KDESDK KIOslaves
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2 and GPLv2+
URL:     https://cgit.kde.org/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/kdesdk-kio-%{version}.tar.xz

BuildRequires: perl-generators

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5KIO)

Conflicts: kde-l10n < 17.03

Conflicts:      kdesdk-common < 4.10.80
Provides:       kdesdk-kioslave = %{version}-%{release}

Provides: kio5-perldoc = %{version}-%{release}

%description
KDE SDK kioslaves:
* perldoc KIOSlave


%prep
%autosetup -p1 -n %{base_name}-%{version}


%build
%{cmake_kf5}
%cmake_build

%install
%cmake_install

%find_lang %{base_name} --all-name


%files -f %{base_name}.lang
%{_kf5_plugindir}/kio/perldoc.so
%{_kf5_datadir}/kio_perldoc/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
